val blank = <item:minecraft:air>;

val feather = <item:minecraft:feather>;
val inkSac = <item:minecraft:ink_sac>;
val craftingTableOrig = <item:minecraft:crafting_table>;
val phantomMem = <item:minecraft:phantom_membrane>;

val blackDye = <tag:items:forge:dyes/black>;
val feathers = <tag:items:forge:feathers>;
val stringItem = <tag:items:forge:string>;
val leather = <tag:items:forge:leather>;
val ironNugget = <tag:items:forge:nuggets/iron>;

// Interchangability for recipes that don't use tags

craftingTable.addShapeless("feathers_to_feather", feather, [feathers]);
craftingTable.addShapeless("blackdye_to_inksac", inkSac, [blackDye]);

// Phantom Membrane

craftingTable.addShaped("phantom_membrane", phantomMem, [
	[ironNugget, stringItem, ironNugget],
	[stringItem,   leather , stringItem],
	[ironNugget, stringItem, ironNugget]
]);

// Tarantula Hawk Elytra as Curios

val hawkElytra = <item:alexsmobs:tarantula_hawk_elytra>;
val curiosBack = <tag:items:curios:back>;
val elytraTag = <tag:items:forge:elytra>;

elytraTag.add(hawkElytra);
curiosBack.add(elytraTag);
curiosBack.remove(hawkElytra);

// Wither Skeleton Bones to Wither Skeleton Skulls

val witherBone = <item:mna:witherbone>;
val witherBoneTag = <tag:items:forge:bones/wither>;
val skeletonSkull = <item:minecraft:skeleton_skull>;
val witherSkull = <item:minecraft:wither_skeleton_skull>;

witherBoneTag.add(witherBone);
craftingTable.addShaped("wither_bone_to_wither_skull", witherSkull, [
	[witherBoneTag, witherBoneTag, witherBoneTag],
	[witherBoneTag, skeletonSkull, witherBoneTag],
	[witherBoneTag, witherBoneTag, witherBoneTag]
]);

// Zombie Heads to Skeleton Skulls

val zombieHead = <item:minecraft:zombie_head>;

blastFurnace.addRecipe("zombie_head_to_skeleton_skull", skeletonSkull, zombieHead, 0, 5);

// Transmuted Silver to Silver

val transmutedSilver = <item:mna:transmuted_silver>;
val cloth = <tag:items:forge:cloth>;
val silverIngot = <item:thermal:silver_ingot>;

//craftingTable.addShapeless("transmuted_silver_to_silver_ingot", silverIngot, [transmutedSilver, cloth]);

// Uranium to Yellorium

val yellorium = <item:bigreactors:yellorium_ingot>;
val uranium = <item:mekanism:ingot_uranium>;
val yellowDye = <tag:items:forge:dyes/yellow>;

craftingTable.addShapeless("uranium_to_yellorium", yellorium, [uranium, yellowDye]);

// QoL for Ancient Debris

val voidStone = <item:cataclysm:void_stone>;
val lead = <tag:items:forge:ingots/lead>;
val steel = <tag:items:forge:ingots/steel>;
val ancientDebris = <item:minecraft:ancient_debris>;

craftingTable.addShapeless("ancient_debris_crafting", ancientDebris, [lead, lead, lead, lead, voidStone, steel, steel, steel, steel]);

// Tempad doesn't require a beacon

val quartzBlock = <item:minecraft:quartz_block>;
val redstoneLamp = <item:minecraft:redstone_lamp>;
val tintedGlass = <item:minecraft:tinted_glass>;
val obsidian = <item:minecraft:obsidian>;
//val tempad = <item:tempad:tempad>;

//craftingTable.remove(tempad);
//craftingTable.addShaped("gs_tempad", tempad, [
//	[ quartzBlock, quartzBlock, quartzBlock],
//	[redstoneLamp, tintedGlass,   obsidian ],
//	[ quartzBlock, quartzBlock, quartzBlock]
//]);

// Copper coins are quickly mintable

val copperIngot = <item:minecraft:copper_ingot>;
val copperCoin = <item:lightmanscurrency:coin_copper>;
craftingTable.addShaped("copper_coin_quickmint", <item:lightmanscurrency:coin_copper> * 8, [
	[copperIngot, copperIngot, copperIngot],
	[copperIngot,    blank   , copperIngot],
	[copperIngot, copperIngot, copperIngot]
]);

// Silver Rings combine to Mana Rings

//val silverRing = <item:irons_spellbooks:silver_ring>;
//val manaRing = <item:irons_spellbooks:mana_ring>;

//craftingTable.addShaped("silver_ring_to_mana_ring", manaRing, [
//	[   blank  , silverRing,    blank  ],
//	[silverRing,    blank  , silverRing],
//	[   blank  , silverRing,    blank  ]
//]);

// Uranium Hexafluoride is infinite using Create Pumps

val bottomlessFluids = <tag:fluids:create:bottomless/allow>;
val mekUH = <fluid:mekanism:uranium_hexafluoride>;

bottomlessFluids.add(mekUH);

### Script written by FoxMcloud5655